server:
  port: 9000
  servlet:
    context-path: /

spring:
  application:
    name: mallink
  profiles:
    active: dev
  jackson:
    date-format: yyyy-MM-dd HH:mm:ss
    time-zone: GMT+8
    default-property-inclusion: non_null
  servlet:
    multipart:
      max-file-size: 2MB
      max-request-size: 2MB
  cache:
    type: REDIS
    cache-names: redis_cache #缓存的名字(可以不指定)
    redis:
      time-to-live: 60000ms #很重要，缓存的有效时间，以便缓存的过期（单位为毫秒）
  rocketmq:
    nameServer: 202.165.179.86:9876
    producer:
      retry-times-when-send-async-failed: 0
      send-msg-timeout: 300000
      compress-msg-body-over-howmuch: 4096
      max-message-size: 4194304
      retry-another-broker-when-not-store-ok: false
      retry-times-when-send-failed: 2
  rabbitmq:
    host: 202.165.179.86
    port: 5672
    username: guest
    password: guest
    publisher-confirms: true
    virtual-host: /
  # FLOWABLE
  flowable:
    async-executor-activate: false


# @{link} https://github.com/abel533
#Mybatis
mybatis:
  type-aliases-package: com.iformall.domain.po
  mapper-locations: classpath:mapper/*Mapper.xml
  configuration:
    map-underscore-to-camel-case: true
    cache-enabled: true
    lazy-loading-enabled: true
    use-generated-keys: true
    default-fetch-size: 100
    default-statement-timeout: 10


#PageHelper
pagehelper:
    helperDialect: mysql
    reasonable: false
    supportMethodsArguments: true
    params: count=countSql
    offset-as-page-num: true
    page-size-zero: true
    row-bounds-with-count: true

mapper:
  mappers:
    - com.iformall.common.CommonMapper

pay:
  real: true


version: @project.version@
